module BammLog
  module Formatter

    def get_message(msg)
      "#{String === msg ? msg : msg.inspect}"
    end

    def call_formatted(stamp, msg)
      "[#{stamp.to_s(:log)}] #{msg}\n"
    end

    def included(klass)
      ::Logger::Formatter.module_eval do
        def call(severity, timestamp, progname, msg)
          Formatter.call_formatted timestamp, Formatter.get_message(msg)
        end
      end
    end

    extend self

  end
end
